> For a complete page index, fetch https://developer.close.com/llms.txt # Fetch a Sequence GET https://api.close.com/api/v1/sequence/{id}/ Reference: https://developer.close.com/api/resources/sequences/get ## Authentication - `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty. - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `id` (string, required) ### Query parameters - `_limit` (integer, optional, default: 100) — Number of results to return. - `_skip` (integer, optional, default: 0) — Number of results to skip before returning, for pagination. ## Response ### 200 Successful response ## Errors ### 400 Bad Request Error Bad request - `any` ### 401 Unauthorized Error Unauthorized - `any` ### 404 Not Found Error Not found - `any` ## Examples **Response** ```json { "created_by_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "date_created": "2022-03-10T14:31:45.512611", "date_updated": "2022-03-10T14:31:45.512615", "id": "seq_51kUuBR322o1B7vb2HvzSz", "name": "My Sequence", "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH", "schedule": null, "status": "active", "steps": [ { "created_by_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "date_created": "2022-03-10T14:31:45.515197", "date_updated": "2022-03-10T14:31:45.515200", "delay": 0, "email_template_id": null, "id": "seqstep_6zDtfEugqTPcFinUzqFiAL", "required": true, "step_allowed_delay": null, "step_type": "call", "threading": null, "updated_by_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA" }, { "created_by_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "date_created": "2022-03-10T14:31:45.516521", "date_updated": "2022-03-10T14:31:45.516524", "delay": 86400, "email_template_id": "tmpl_VRIpo4I8JnTGANQsPv77kZvzAhbxbheWYPIRR3hKusu", "id": "seqstep_0yMcp2AXxJh27sWsNpH0f1", "required": true, "step_allowed_delay": null, "step_type": "email", "threading": "old_thread", "updated_by_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA" }, { "created_by_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "date_created": "2022-03-10T14:31:45.517156", "date_updated": "2022-03-10T14:31:45.517159", "delay": 259200, "email_template_id": "tmpl_VRIpo4I8JnTGANQsPv77kZvzAhbxbheWYPIRR3hKusu", "id": "seqstep_7XwVZgafycIuCRILLzFR5t", "required": true, "step_allowed_delay": null, "step_type": "email", "threading": "old_thread", "updated_by_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA" } ], "subscription_counts_by_status": { "active": 10, "error": 0, "finished": 5, "goal": 15, "paused": 2 }, "timezone": "America/Los_Angeles", "updated_by_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA" } ``` **SDK Code** ```python sequences_get_example import requests url = "https://api.close.com/api/v1/sequence/id/" response = requests.get(url, auth=("", "")) print(response.json()) ``` ```javascript sequences_get_example const url = 'https://api.close.com/api/v1/sequence/id/'; const credentials = btoa(":"); const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go sequences_get_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.close.com/api/v1/sequence/id/" req, _ := http.NewRequest("GET", url, nil) req.SetBasicAuth("", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby sequences_get_example require 'uri' require 'net/http' url = URI("https://api.close.com/api/v1/sequence/id/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request.basic_auth("", "") response = http.request(request) puts response.read_body ``` ```java sequences_get_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.close.com/api/v1/sequence/id/") .basicAuth("", "") .asString(); ``` ```php sequences_get_example request('GET', 'https://api.close.com/api/v1/sequence/id/', [ 'headers' => [ ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp sequences_get_example using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://api.close.com/api/v1/sequence/id/"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ```